Bug 1733798 - Review Request: wine-dxvk - Vulkan-based D3D11 and D3D10 implementation for Linux / Wine
Summary: Review Request: wine-dxvk - Vulkan-based D3D11 and D3D10 implementation for L...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-28 18:07 UTC by František Zatloukal
Modified: 2019-08-08 07:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 07:11:21 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2019-08-01 19:51:16 UTC
 - Valid shorthand is zlib:

License:        zlib

 - Use a better name for your archive:

Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

 - Not very familiar with wine, is it normal that the .so modes are 644 instead of the usual 755?

 - You must install the LICENSE file with %license in %files and you should install README.md with %doc

%files
%license LICENSE
%doc README.md
%{_libdir}/wine/d3d10.dll.so
%{_libdir}/wine/d3d10_1.dll.so
%{_libdir}/wine/d3d10core.dll.so
%{_libdir}/wine/d3d11.dll.so

%files dxgi
%license LICENSE
%{_libdir}/wine/dxgi.dll.so



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "zlib/libpng license", "Unknown or generated", "BSD 3-clause
     "New" or "Revised" License", "Khronos License", "Apache License
     (v2.0)". 418 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/wine-dxvk/review-wine-
     dxvk/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in wine-
     dxvk , wine-dxvk-dxgi
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wine-dxvk-1.3.1-1.fc31.x86_64.rpm
          wine-dxvk-dxgi-1.3.1-1.fc31.x86_64.rpm
          wine-dxvk-1.3.1-1.fc31.src.rpm
wine-dxvk.x86_64: W: spelling-error Summary(en_US) Vulkan -> Vulcan
wine-dxvk.x86_64: W: spelling-error %description -l en_US Vulkan -> Vulcan
wine-dxvk.x86_64: W: invalid-license zlib/libpng license
wine-dxvk.x86_64: W: unstripped-binary-or-object /usr/lib64/wine/d3d10.dll.so
wine-dxvk.x86_64: W: unstripped-binary-or-object /usr/lib64/wine/d3d10_1.dll.so
wine-dxvk.x86_64: W: unstripped-binary-or-object /usr/lib64/wine/d3d10core.dll.so
wine-dxvk.x86_64: W: unstripped-binary-or-object /usr/lib64/wine/d3d11.dll.so
wine-dxvk.x86_64: W: no-documentation
wine-dxvk-dxgi.x86_64: W: invalid-license zlib/libpng license
wine-dxvk-dxgi.x86_64: W: unstripped-binary-or-object /usr/lib64/wine/dxgi.dll.so
wine-dxvk-dxgi.x86_64: W: no-documentation
wine-dxvk.src: W: spelling-error Summary(en_US) Vulkan -> Vulcan
wine-dxvk.src: W: spelling-error %description -l en_US Vulkan -> Vulcan
wine-dxvk.src: W: invalid-license zlib/libpng license
3 packages and 0 specfiles checked; 0 errors, 14 warnings.

Comment 2 František Zatloukal 2019-08-01 22:05:04 UTC
I wouldn't be able to use "%{url}/archive/v%{version}/%{name}-%{version}.tar.gz" for source as the package is named wine-dxvk and not dxvk as it's in upstream. I've changed it to "%{url}/archive/v%{version}/dxvk-%{version}.tar.gz"

I would like it to be named this way, because as it's packaged, it's implying to be used with wine (I know, this is handled by requires). If the naming is a road block, I can change it, but I'd prefer not to.

Regarding the modes, they should be 755, I've overlooked that because, originally, they were just .dll files (not with .so) and those are 644 in wine. I've changed that to 755.

Rest of it should be addressed, thanks!

SPEC: https://copr-be.cloud.fedoraproject.org/results/frantisekz/wine-dxvk/fedora-rawhide-x86_64/00992951-wine-dxvk/wine-dxvk.spec

SRPM: https://copr-be.cloud.fedoraproject.org/results/frantisekz/wine-dxvk/fedora-rawhide-x86_64/00992951-wine-dxvk/wine-dxvk-1.3.1-1.fc31.src.rpm

Comment 3 Robert-André Mauchin 🐧 2019-08-02 14:15:14 UTC
Package approved.

Comment 4 Gwyn Ciesla 2019-08-05 13:32:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wine-dxvk


Note You need to log in before you can comment on or make changes to this bug.